commit:     e1e8095f42bc2467de8da715b9fac334a9a2a507
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 26 18:34:22 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Oct 26 18:42:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1e8095f

dev-python/reportlab: add 3.6.12

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/reportlab/Manifest                |  1 +
 dev-python/reportlab/reportlab-3.6.12.ebuild | 63 ++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/reportlab/Manifest b/dev-python/reportlab/Manifest
index a2c365c94910..686235cc33ea 100644
--- a/dev-python/reportlab/Manifest
+++ b/dev-python/reportlab/Manifest
@@ -1,2 +1,3 @@
 DIST pfbfer-20070710.zip 677333 BLAKE2B 
100214476a361a5e5d1f3da0999591345f6e3a3f8c6bc3f6a3e9eca734190c6259758a43302c6e41254d33491fe535eb7d5dd07aa9727c912424bebc31fc18df
 SHA512 
6fd4a5d955464b10d13a7b748703450c1fe120d5ed09e8cfa1b4dfa9c183c59fe001df29433af551796b0df62544b7ddc364f9bb1bdcc2cd300434340ffcc4f2
 DIST reportlab-3.6.11.tar.gz 4519404 BLAKE2B 
a099a4adcaf7186cbb558ba708abf47019cff33c6a5335b27bb1eb1377c3276ae9ecdf33e66f614880de2f72e195333f3a7839ce776b8946431e2d23872fb13b
 SHA512 
2ef81850f4e30e78ef9e923d3aea7efac6c98dce83f90c0edd47384febd68eb6ac81e05c7038e7d67458bdae16d1b19b75e9aeb8da6a5283e9173e27e4369251
+DIST reportlab-3.6.12.tar.gz 4519536 BLAKE2B 
106e0ede2b3c039152ae5a39e0aa5b3bf0239789ba08630f751260b75305973bff13730e3f7419340514a4f0174223dddf522cd9408b8dd04fbe39b84979b152
 SHA512 
99e6ab1cf27cc9e661b3bfd8c71290d94189db6de5e71b2429cccd48bfee5659d5fb46dfc5709e6616877b48bc17241c74282e0d2ecddda2ead16df4c1b6818f

diff --git a/dev-python/reportlab/reportlab-3.6.12.ebuild 
b/dev-python/reportlab/reportlab-3.6.12.ebuild
new file mode 100644
index 000000000000..990ad409b8ab
--- /dev/null
+++ b/dev-python/reportlab/reportlab-3.6.12.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tools for generating printable PDF documents from any data source"
+HOMEPAGE="
+       https://www.reportlab.com/
+       https://pypi.org/project/reportlab/
+"
+SRC_URI="
+       mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz
+       https://www.reportlab.com/ftp/fonts/pfbfer-20070710.zip
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+       media-libs/freetype
+       media-libs/libart_lgpl
+       sys-libs/zlib:=
+"
+RDEPEND="
+       ${DEPEND}
+       dev-python/pillow[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
+"
+BDEPEND="
+       app-arch/unzip
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.6.9-paths.patch
+       "${FILESDIR}"/${PN}-3.6.11-correct-srclen-type-in-gstate__aapixbuf.patch
+)
+
+distutils_enable_sphinx docs/source
+
+src_unpack() {
+       unpack ${P}.tar.gz
+       cd ${P}/src/reportlab/fonts || die
+       unpack pfbfer-20070710.zip
+}
+
+src_configure() {
+       cat > local-setup.cfg <<-EOF || die
+               [OPTIONS]
+               no-download-t1-files = 1
+               use-system-libart = 1
+       EOF
+}
+
+python_test() {
+       pushd tests >/dev/null || die
+       "${EPYTHON}" runAll.py -v || die "Testing failed with ${EPYTHON}"
+       popd >/dev/null || die
+}

Reply via email to